Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetBotInfoShortDescription

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Text>
it.tdlight.jni.TdApi.GetBotInfoShortDescription

Enclosing class:
  TdApi

public static final class TdApi.GetBotInfoShortDescription extends TdApi.Function<TdApi.Text>
Returns the text shown on a bot's profile page and sent together with the link when users share the bot in the given language. Can be called only if userTypeBot.canBeEdited == true.

Returns `Text`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`botUserId`
Identifier of the target bot.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`languageCode`
A two-letter ISO 639-1 language code or an empty string.

## Constructor Summary

Constructors
Constructor
Description
`GetBotInfoShortDescription()`
Returns the text shown on a bot's profile page and sent together with the link when users share the bot in the given language.
`GetBotInfoShortDescription(long botUserId, String languageCode)`
Returns the text shown on a bot's profile page and sent together with the link when users share the bot in the given language.
`GetBotInfoShortDescription(DataInput input)`
Returns the text shown on a bot's profile page and sent together with the link when users share the bot in the given language.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### botUserId

public long botUserId
Identifier of the target bot.

### languageCode

public String languageCode
A two-letter ISO 639-1 language code or an empty string.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### GetBotInfoShortDescription

public GetBotInfoShortDescription()
Returns the text shown on a bot's profile page and sent together with the link when users share the bot in the given language. Can be called only if userTypeBot.canBeEdited == true.

Returns `Text`

### GetBotInfoShortDescription

public GetBotInfoShortDescription(long botUserId, String languageCode)
Returns the text shown on a bot's profile page and sent together with the link when users share the bot in the given language. Can be called only if userTypeBot.canBeEdited == true.

Returns `Text`

Parameters:
  `botUserId` - Identifier of the target bot.
  `languageCode` - A two-letter ISO 639-1 language code or an empty string.

  Returns `Text`

### GetBotInfoShortDescription

public GetBotInfoShortDescription(DataInput input) throws IOException
Returns the text shown on a bot's profile page and sent together with the link when users share the bot in the given language. Can be called only if userTypeBot.canBeEdited == true.

Returns `Text`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`